Online Banking web browser requirement

In an effort to protect your online transactions with Altamaha Bank, web browser security settings for Online Banking will require TLS 1.1 or 1.2.beginning on a date to be announced. The good news is if you are using a web browser version listed below, you have the updated security setting now. If you are not using one of these browsers, you will need to change your security settings or upgrade your web browser to access online banking. These changes do not impact the use of our mobile banking app.

Browsers that currently enable TLS 1.1 and 1.2

Chrome

FireFox

Internet Explorer 11

Microsoft Edge

Safari 7 or greater


Internet Explorer 10 or lower - Customers may receive a “Stronger security is required” message instructing them to update their web browser security settings to TLS 1.1 or 1.2. These customers should enable these protocols on the Advanced tab in IE via Tools > Internet options to continue accessing OLB.

 

Devices/browsers that are no longer supported after March 17th and will be unable to access Online Banking.

 

Android                                  2.3.7 No SNI 2

                                                4.04

                                                4.1.1

                                                4.2.2

                                                4.3

 

Internet Explorer             7 on Vista

                                                8-10 on Windows 7R*

                                               10 on Windows Phone 9.0

 

Apple Safari                         5.19 on OS X 10.6.8

       6.04  on OS X 10.8.4 R

 

 

*Windows 7R is not the common home or office version most users are running today.

You are leaving Altamaha Bank & Trust Web Site

The website you have selected is an external one located on another server. Altamaha Bank & Trust has no responsibility for any external website. We neither endorse the information, content, presentation, or accuracy nor make any warranty, express or implied, regarding any external site.

Proceed Cancel
×

Unsecure Email Disclosure

Your privacy is very important to us. We would like to advise you that Internet email is not secure. Please do not submit any information that you consider confidential. We recommend you do not include your social security or account number or other specific identifying information.

Continue Cancel
×